Skip to main content
GET
/
api
/
jobs
List jobs
curl --request GET \
  --url https://convertly.sh/api/jobs \
  --header 'Authorization: Bearer <token>'
{
  "jobs": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "job_type": "convert",
      "status": "pending",
      "total_files": 123,
      "completed_files": 123,
      "failed_files": 123,
      "progress": 123,
      "error_message": "<string>",
      "results": {},
      "created_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123,
    "hasMore": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.convertly.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key.

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0
status
enum<string>
Available options:
pending,
processing,
completed,
failed

Response

Paginated jobs

jobs
object[]
required
pagination
object
required